import React from 'react';
declare const Tabs: import("@emotion/styled").StyledComponent<Omit<import("@mui/base").TabsOwnProps, "slots" | "slotProps"> & {
    color?: import("@mui/types").OverridableStringUnion<import("@mui/joy").ColorPaletteProp, import("@mui/joy").TabsPropsColorOverrides> | undefined;
    size?: import("@mui/types").OverridableStringUnion<"sm" | "md" | "lg", import("@mui/joy").TabsPropsSizeOverrides> | undefined;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
    variant?: import("@mui/types").OverridableStringUnion<import("@mui/joy").VariantProp, import("@mui/joy").TabsPropsVariantOverrides> | undefined;
} & import("@mui/joy").TabsSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined;
}, "children" | "color" | "direction" | "defaultValue" | "className" | "onChange" | "variant" | "sx" | "size" | "orientation" | "value" | "selectionFollowsFocus" | keyof import("@mui/joy").TabsSlotsAndSlotProps> & import("@mui/system").MUIStyledCommonProps<import("@mui/joy").Theme>, {}, {}>;
export { Tabs };
declare const Tab: React.ForwardRefExoticComponent<Omit<{
    component?: React.ElementType<any, keyof React.JSX.IntrinsicElements> | undefined;
} & {
    action?: React.Ref<{
        focusVisible(): void;
    }> | undefined;
    color?: import("@mui/types").OverridableStringUnion<import("@mui/joy").ColorPaletteProp, import("@mui/joy").TabPropsColorOverrides> | undefined;
    disabled?: boolean | undefined;
    disableIndicator?: boolean | undefined;
    indicatorPlacement?: "bottom" | "left" | "right" | "top" | undefined;
    indicatorInset?: boolean | undefined;
    orientation?: "horizontal" | "vertical" | undefined;
    sx?: import("@mui/joy/styles/types").SxProps | undefined;
    value?: string | number | undefined;
    onChange?: ((event: React.SyntheticEvent<Element, Event>, value: string | number) => void) | undefined;
    variant?: import("@mui/types").OverridableStringUnion<import("@mui/joy").VariantProp, import("@mui/joy").TabPropsVariantOverrides> | undefined;
} & import("@mui/joy").TabSlotsAndSlotProps & Omit<Omit<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "ref"> & {
    ref?: ((instance: HTMLButtonElement | null) => void) | React.RefObject<HTMLButtonElement> | null | undefined;
}, "color" | "onChange" | "variant" | "sx" | "disabled" | "component" | "orientation" | "value" | "action" | "disableIndicator" | "indicatorPlacement" | "indicatorInset" | keyof import("@mui/joy").TabSlotsAndSlotProps> & {
    startDecorator?: React.ReactNode;
    endDecorator?: React.ReactNode;
}, "ref"> & React.RefAttributes<HTMLButtonElement>>;
export { Tab };
declare const TabList: import("@mui/types").OverridableComponent<import("@mui/joy").TabListTypeMap<{}, "div">>;
export { TabList };
declare const TabPanel: import("@mui/types").OverridableComponent<import("@mui/joy").TabPanelTypeMap<{}, "div">>;
export { TabPanel };
